ESIGN< H, STANDARD > Struct Template Reference

ESIGN, as defined in IEEE P1363a. More...

Inheritance diagram for ESIGN< H, STANDARD >:

## Additional Inherited Members

Public Types inherited from TF_SS< P1363_EMSA5, H, ESIGN_Keys >
typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< ALG_INFO, KEYS, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Static Public Member Functions inherited from TF_SS< P1363_EMSA5, H, ESIGN_Keys >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class H, class STANDARD = P1363_EMSA5>
struct ESIGN< H, STANDARD >

ESIGN, as defined in IEEE P1363a.

Definition at line 127 of file esign.h.

The documentation for this struct was generated from the following file:

- esign.h